diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -31060,7 +31178,48 @@ Func_f929: ; f929 (3:7929)
 	ld [$FF00+$9d], a
 	ret
 
-INCBIN "baserom.gbc",$f9a0,$f9dc - $f9a0
+Func_f9a0: ; f9a0 (3:79a0)
+	ld a, [$ff95]
+	ld [$cd37], a
+	dec a
+	ld de, $ccd3
+	ld hl, $cc97
+	add l
+	ld l, a
+	jr nc, .asm_f9b1
+	inc h
+.asm_f9b1
+	ld a, [hld]
+	call Func_f9bf
+	ld [de], a
+	inc de
+	ld a, [$ff95]
+	dec a
+	ld [$ff95], a
+	jr nz, .asm_f9b1
+	ret
+
+Func_f9bf: ; f9bf (3:79bf)
+	push hl
+	ld b, a
+	ld hl, Unknown_f9d2
+.asm_f9c4
+	ld a, [hli]
+	cp $ff
+	jr z, .asm_f9d0
+	cp b
+	jr z, .asm_f9cf
+	inc hl
+	jr .asm_f9c4
+.asm_f9cf
+	ld a, [hl]
+.asm_f9d0
+	pop hl
+	ret
+
+Unknown_f9d2: ; f9d2 (3:79d2)
+	;db $40, $40, $00, $80, $80, $20, $c0, $10, $ff, $c9
+INCBIN "baserom.gbc",$f9d2,$f9dc - $f9d2
 
 Func_f9dc: ; f9dc (3:79dc)
 	call Load16BitRegisters
@@ -31577,7 +31736,7 @@ Func_12924: ; 12924 (4:6924)
 	pop hl
 	pop de
 	ret
-; 12953 (4:6953)
+
 ; Predef 0x37
 StatusScreen: ; 12953 (4:6953)
 	call LoadMonData
@@ -32024,7 +32183,7 @@ Func_12ccb: ; 12ccb (4:6ccb)
 	dec c
 	jr nz, Func_12ccb
 	ret
-; 12cd2 (4:6cd2)
+
 ; [$D07D] = menu type / message ID
 ; if less than $F0, it is a menu type
 ; menu types:
@@ -32392,7 +32551,7 @@ Func_13074: ; 13074 (4:7074)
 	ld a, $2
 	ld [hl], a
 	ret
-; 13095 (4:7095)
+
 StartMenu_Pokedex: ; 13095 (4:7095)
 	ld a,$29
 	call Predef
@@ -33308,7 +33467,6 @@ TMToMove: ; 13763 (4:7763)
 	ld a, [hl]
 	ld [$d11e], a
 	ret
-; 13773 (4:7773)
 
 TechnicalMachines: ; 13773 (4:7773)
 	db MEGA_PUNCH
@@ -33669,7 +33827,7 @@ Func_13a58: ; 13a58 (4:7a58)
 	ld de, $d04a
 	ld bc, $d
 	jp CopyData
-; 13a8f (4:7a8f)
+
 GenRandom_: ; 13a8f (4:7a8f)
 ; generate a random 16-bit integer and store it at $FFD3,$FFD4
 	ld a,[rDIV]
@@ -33777,7 +33935,7 @@ LoadPokedexTilePatterns: ; 17840 (5:7840)
 	ld de,PokeballTileGraphics ; $697e
 	ld hl,$9720
 	ld bc,(BANK(PokeballTileGraphics) << 8) + $01
-	jp CopyVideoData ; load pokeball tile for marking cought mons
+	jp CopyVideoData ; load pokeball tile for marking caught mons
 
 ; Loads tile patterns for map's sprites.
 ; For outside maps, it loads one of several fixed sets of sprites.
@@ -34774,14 +34932,14 @@ Func_17c47: ; 17c47 (5:7c47)
 	ld a, [$cd50]
 	ld c, a
 	ld b, $0
-	ld hl, Unknown_17caf ; $7caf
+	ld hl, EmotionBubblesPointerTable ; $7caf
 	add hl, bc
 	add hl, bc
 	ld e, [hl]
 	inc hl
 	ld d, [hl]
 	ld hl, $8f80
-	ld bc, (BANK(Unknown_17caf) << 8) + $04
+	ld bc, (BANK(EmotionBubblesPointerTable) << 8) + $04
 	call CopyVideoData
 	ld a, [$cfcb]
 	push af
@@ -34817,7 +34975,7 @@ Func_17c47: ; 17c47 (5:7c47)
 	ld a, [hl]
 	add $8
 	ld c, a
-	ld de, EmotionBubbles ; $7cb5
+	ld de, EmotionBubblesOAM ; $7cb5
 	xor a
 	call WriteOAMBlock
 	ld c, $3c
@@ -34827,10 +34985,16 @@ Func_17c47: ; 17c47 (5:7c47)
 	call DelayFrame
 	jp UpdateSprites
 
-Unknown_17caf: ; 17caf (5:7caf)
-INCBIN "baserom.gbc",$17caf,$17cb5 - $17caf
+EmotionBubblesPointerTable: ; 17caf (5:7caf)
+	dw EmotionBubbles
+	dw EmotionBubbles + $40
+	dw EmotionBubbles + $80
 
-EmotionBubbles: ; 17cb5 (5:7cb5)
+EmotionBubblesOAM: ; 17cb5 (5:7cb5)
+	db $F8,$00,$F9,$00
+	db $FA,$00,$FB,$00
+
+EmotionBubbles: ; 17cbd (5:7cbd)
 	INCBIN "gfx/emotion_bubbles.2bpp"
 
 Func_17d7d: ; 17d7d (5:7d7d)
@@ -34856,7 +35020,7 @@ Func_17d7d: ; 17d7d (5:7d7d)
 	xor a
 	ld [W_ISLINKBATTLE], a ; $d12b
 	jp Func_2307
-; 17dad (5:7dad)
+
 SubstituteEffectHandler: ; 17dad (5:7dad)
 	ld c, 50
 	call DelayFrames		
@@ -35093,7 +35257,7 @@ SECTION "bank6",ROMX,BANK[$6]
 CeladonCity_h: ; 18000 (6:4000)
 	db $00 ; tileset
 	db CELADON_CITY_HEIGHT, CELADON_CITY_WIDTH ; dimensions (y, x)
-	dw CeladonCityBlocks, CeladonCityTexts, CeladonCityScript ; blocks, texts, scripts
+	dw CeladonCityBlocks, CeladonCityTextPointers, CeladonCityScript ; blocks, texts, scripts
 	db WEST | EAST ; connections
 
 	; connections data
@@ -35175,7 +35339,7 @@ CeladonCityBlocks: ; 180df (6:40df)
 PalletTown_h: ; 182a1 (6:42a1)
 	db $00 ; tileset
 	db PALLET_TOWN_HEIGHT, PALLET_TOWN_WIDTH ; dimensions
-	dw PalletTownBlocks, PalletTownTexts, PalletTownScript
+	dw PalletTownBlocks, PalletTownTextPointers, PalletTownScript
 	db NORTH | SOUTH ; connections
 
 	db ROUTE_1
@@ -35225,7 +35389,7 @@ PalletTownBlocks: ; 182fd (6:42fd)
 ViridianCity_h: ; 0x18357 to 0x18384 (45 bytes) (bank=6) (id=1)
 	db $00 ; tileset
 	db VIRIDIAN_CITY_HEIGHT, VIRIDIAN_CITY_WIDTH ; dimensions (y, x)
-	dw ViridianCityBlocks, ViridianCityTexts, ViridianCityScript ; blocks, texts, scripts
+	dw ViridianCityBlocks, ViridianCityTextPointers, ViridianCityScript ; blocks, texts, scripts
 	db NORTH | SOUTH | WEST ; connections
 
 	; connections data
@@ -35295,7 +35459,7 @@ ViridianCityBlocks: ; 183ec (6:43ec)
 PewterCity_h: ; 0x18554 to 0x18576 (34 bytes) (bank=6) (id=2)
 	db $00 ; tileset
 	db PEWTER_CITY_HEIGHT, PEWTER_CITY_WIDTH ; dimensions (y, x)
-	dw PewterCityBlocks, PewterCityTexts, PewterCityScript ; blocks, texts, scripts
+	dw PewterCityBlocks, PewterCityTextPointers, PewterCityScript ; blocks, texts, scripts
 	db SOUTH | EAST ; connections
 
 	; connections data
@@ -35318,7 +35482,7 @@ PewterCity_h: ; 0x18554 to 0x18576 (34 bytes) (bank=6) (id=2)
 
 	dw PewterCityObject ; objects
 
-db $0
+	db $0
 
 PewterCityObject: ; 0x18577 (size=111)
 	db $a ; border tile
@@ -35363,7 +35527,7 @@ PewterCityBlocks: ; 185e6 (6:45e6)
 CeruleanCity_h: ; 0x1874e to 0x18786 (56 bytes) (bank=6) (id=3)
 	db $00 ; tileset
 	db CERULEAN_CITY_HEIGHT, CERULEAN_CITY_WIDTH ; dimensions (y, x)
-	dw CeruleanCityBlocks, CeruleanCityTexts, CeruleanCityScript ; blocks, texts, scripts
+	dw CeruleanCityBlocks, CeruleanCityTextPointers, CeruleanCityScript ; blocks, texts, scripts
 	db NORTH | SOUTH | WEST | EAST ; connections
 
 	; connections data
@@ -35454,7 +35618,7 @@ CeruleanCityBlocks: ; 18830 (6:4830)
 VermilionCity_h: ; 0x18998 to 0x189ba (34 bytes) (bank=6) (id=5)
 	db $00 ; tileset
 	db VERMILION_CITY_HEIGHT, VERMILION_CITY_WIDTH ; dimensions (y, x)
-	dw VermilionCityBlocks, VermilionCityTexts, VermilionCityScript ; blocks, texts, scripts
+	dw VermilionCityBlocks, VermilionCityTextPointers, VermilionCityScript ; blocks, texts, scripts
 	db NORTH | EAST ; connections
 
 	; connections data
@@ -35525,7 +35689,7 @@ VermilionCityBlocks: ; 18a3f (6:4a3f)
 FuchsiaCity_h: ; 0x18ba7 to 0x18bd4 (45 bytes) (bank=6) (id=7)
 	db $00 ; tileset
 	db FUCHSIA_CITY_HEIGHT, FUCHSIA_CITY_WIDTH ; dimensions (y, x)
-	dw FuchsiaCityBlocks, FuchsiaCityTexts, FuchsiaCityScript ; blocks, texts, scripts
+	dw FuchsiaCityBlocks, FuchsiaCityTextPointers, FuchsiaCityScript ; blocks, texts, scripts
 	db SOUTH | WEST | EAST ; connections
 
 	; connections data
@@ -35672,7 +35836,7 @@ Func_18e36: ; 18e36 (6:4e36)
 	ld [H_NEWLYPRESSEDBUTTONS], a
 	ld [H_CURRENTPRESSEDBUTTONS], a
 	ret
-; 18e5b (6:4e5b)
+
 PalletTownScript: ; 18e5b (6:4e5b)
 	ld a,[$D74B]
 	bit 4,a
@@ -35686,9 +35850,15 @@ PalletTownScript: ; 18e5b (6:4e5b)
 	jp CallFunctionInTable
 
 PalletTownScriptPointers: ; 18e73 (6:4e73)
-	dw PalletTownScript1,PalletTownScript2,PalletTownScript3,PalletTownScript4,PalletTownScript5,PalletTownScript6,PalletTownScript7
+	dw PalletTownScript0
+	dw PalletTownScript1
+	dw PalletTownScript2
+	dw PalletTownScript3
+	dw PalletTownScript4
+	dw PalletTownScript5
+	dw PalletTownScript6
 
-PalletTownScript1: ; 18e81 (6:4e81)
+PalletTownScript0: ; 18e81 (6:4e81)
 	ld a,[$D747]
 	bit 0,a
 	ret nz
@@ -35715,7 +35885,7 @@ PalletTownScript1: ; 18e81 (6:4e81)
 	ld [W_PALLETTOWNCURSCRIPT],a
 	ret
 
-PalletTownScript2: ; 18eb2 (6:4eb2)
+PalletTownScript1: ; 18eb2 (6:4eb2)
 	xor a
 	ld [$CF0D],a
 	ld a,1
@@ -35733,7 +35903,7 @@ PalletTownScript2: ; 18eb2 (6:4eb2)
 	ld [W_PALLETTOWNCURSCRIPT],a
 	ret
 
-PalletTownScript3: ; 18ed2 (6:4ed2)
+PalletTownScript2: ; 18ed2 (6:4ed2)
 	ld a,1
 	ld [$FF8C],a
 	ld a,4
@@ -35765,7 +35935,7 @@ PalletTownScript3: ; 18ed2 (6:4ed2)
 	ld [W_PALLETTOWNCURSCRIPT],a
 	ret
 
-PalletTownScript4: ; 18f12 (6:4f12)
+PalletTownScript3: ; 18f12 (6:4f12)
 	ld a,[$D730]
 	bit 0,a
 	ret nz
@@ -35794,7 +35964,7 @@ PalletTownScript4: ; 18f12 (6:4f12)
 	ld [W_PALLETTOWNCURSCRIPT],a
 	ret
 
-PalletTownScript5: ; 18f4b (6:4f4b)
+PalletTownScript4: ; 18f4b (6:4f4b)
 	ld a,[$CC57]
 	and a
 	ret nz
@@ -35804,7 +35974,7 @@ PalletTownScript5: ; 18f4b (6:4f4b)
 	ld [W_PALLETTOWNCURSCRIPT],a
 	ret
 
-PalletTownScript6: ; 18f56 (6:4f56)
+PalletTownScript5: ; 18f56 (6:4f56)
 	ld a,[$D74A]
 	bit 2,a
 	jr nz,.next
@@ -35827,11 +35997,17 @@ PalletTownScript6: ; 18f56 (6:4f56)
 	ret z
 	ld hl,$D74B
 	set 6,[hl]
-PalletTownScript7: ; 18f87 (6:4f87)
+PalletTownScript6: ; 18f87 (6:4f87)
 	ret
 
-PalletTownTexts: ; 18f88 (6:4f88)
-	dw PalletTownText1,PalletTownText2,PalletTownText3,PalletTownText4,PalletTownText5,PalletTownText6,PalletTownText7
+PalletTownTextPointers: ; 18f88 (6:4f88)
+	dw PalletTownText1
+	dw PalletTownText2
+	dw PalletTownText3
+	dw PalletTownText4
+	dw PalletTownText5
+	dw PalletTownText6
+	dw PalletTownText7
 
 PalletTownText1: ; 18f96 (6:4f96)
 	db 8
@@ -35892,11 +36068,11 @@ PalletTownText7: ; 0x18fec sign by Blue’s house
 
 ViridianCityScript: ; 18ff1 (6:4ff1)
 	call EnableAutoTextBoxDrawing
-	ld hl, ViridianCityScripts
+	ld hl, ViridianCityScriptPointers
 	ld a, [W_VIRIDIANCITYCURSCRIPT]
 	jp CallFunctionInTable
 
-ViridianCityScripts: ; 18ffd (6:4ffd)
+ViridianCityScriptPointers: ; 18ffd (6:4ffd)
 	dw ViridianCityScript0
 	dw ViridianCityScript1
 	dw ViridianCityScript2
@@ -36019,8 +36195,22 @@ Function190cf: ; 190cf (6:50cf)
 	ld [wJoypadForbiddenButtonsMask], a
 	ret
 
-ViridianCityTexts: ; 190e4 (6:50e4)
-	dw ViridianCityText1, ViridianCityText2, ViridianCityText3, ViridianCityText4, ViridianCityText5, ViridianCityText6, ViridianCityText7, ViridianCityText8, ViridianCityText9, ViridianCityText10, MartSignText, PokeCenterSignText, ViridianCityText13, ViridianCityText14, ViridianCityText15
+ViridianCityTextPointers: ; 190e4 (6:50e4)
+	dw ViridianCityText1
+	dw ViridianCityText2
+	dw ViridianCityText3
+	dw ViridianCityText4
+	dw ViridianCityText5
+	dw ViridianCityText6
+	dw ViridianCityText7
+	dw ViridianCityText8
+	dw ViridianCityText9
+	dw ViridianCityText10
+	dw MartSignText
+	dw PokeCenterSignText
+	dw ViridianCityText13
+	dw ViridianCityText14
+	dw ViridianCityText15
 
 ViridianCityText1: ; 19102 (6:5102)
 	TX_FAR _ViridianCityText1
@@ -36212,11 +36402,11 @@ ViridianCityText14: ; 19232 (6:5232)
 
 PewterCityScript: ; 19237 (6:5237)
 	call EnableAutoTextBoxDrawing
-	ld hl, PewterCityScripts
+	ld hl, PewterCityScriptPointers
 	ld a, [W_PEWTERCITYCURSCRIPT]
 	jp CallFunctionInTable
 
-PewterCityScripts: ; 19243 (6:5243)
+PewterCityScriptPointers: ; 19243 (6:5243)
 	dw PewterCityScript0
 	dw PewterCityScript1
 	dw PewterCityScript2
@@ -36237,7 +36427,7 @@ Function1925e: ; 1925e (6:525e)
 	ld a, [$d755]
 	bit 7, a
 	ret nz
-	ld hl, CoordsData19277
+	ld hl, CoordsData_19277
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $f0
@@ -36246,7 +36436,7 @@ Function1925e: ; 1925e (6:525e)
 	ld [$ff00+$8c], a
 	jp DisplayTextID
 
-CoordsData19277: ; 19277 (6:5277)
+CoordsData_19277: ; 19277 (6:5277)
 	db $11,$23
 	db $11,$24
 	db $12,$25
@@ -36284,14 +36474,14 @@ PewterCityScript1: ; 19280 (6:5280)
 	call Func_32f9
 	ld a, $3
 	ld [$ff00+$8c], a
-	ld de, MovementData192ce ; $52ce
+	ld de, MovementData_192ce ; $52ce
 	call MoveSprite
 	ld a, $2
 	ld [W_PEWTERCITYCURSCRIPT], a
 	ret
 
-MovementData192ce: ; 192ce (6:52ce)
-	db 0,0,0,0,$ff
+MovementData_192ce: ; 192ce (6:52ce)
+	db $00,$00,$00,$00,$FF
 
 PewterCityScript2: ; 192d3 (6:52d3)
 	ld a, [$d730]
@@ -36350,14 +36540,14 @@ PewterCityScript4: ; 19305 (6:5305)
 	call Func_32f9
 	ld a, $5
 	ld [$ff00+$8c], a
-	ld de, MovementData19353
+	ld de, MovementData_19353
 	call MoveSprite
 	ld a, $5
 	ld [W_PEWTERCITYCURSCRIPT], a
 	ret
 
-MovementData19353: ; 19353 (6:5353)
-	db $c0,$c0,$c0,$c0,$c0,$ff
+MovementData_19353: ; 19353 (6:5353)
+	db $C0,$C0,$C0,$C0,$C0,$FF
 
 PewterCityScript5: ; 19359 (6:5359)
 	ld a, [$d730]
@@ -36385,8 +36575,21 @@ PewterCityScript6: ; 1936f (6:536f)
 	ld [W_PEWTERCITYCURSCRIPT], a
 	ret
 
-PewterCityTexts: ; 1938b (6:538b)
-	dw PewterCityText1, PewterCityText2, PewterCityText3, PewterCityText4, PewterCityText5, PewterCityText6, PewterCityText7, MartSignText, PokeCenterSignText, PewterCityText10, PewterCityText11, PewterCityText12, PewterCityText13, PewterCityText14
+PewterCityTextPointers: ; 1938b (6:538b)
+	dw PewterCityText1
+	dw PewterCityText2
+	dw PewterCityText3
+	dw PewterCityText4
+	dw PewterCityText5
+	dw PewterCityText6
+	dw PewterCityText7
+	dw MartSignText
+	dw PokeCenterSignText
+	dw PewterCityText10
+	dw PewterCityText11
+	dw PewterCityText12
+	dw PewterCityText13
+	dw PewterCityText14
 
 PewterCityText1: ; 193a7 (6:53a7)
 	TX_FAR _PewterCityText1
@@ -36523,7 +36726,7 @@ PewterCityText12: ; 1947b (6:547b)
 
 CeruleanCityScript: ; 19480 (6:5480)
 	call EnableAutoTextBoxDrawing
-	ld hl, CeruleanCityScripts
+	ld hl, CeruleanCityScriptPointers
 	ld a, [W_CERULEANCITYCURSCRIPT]
 	jp CallFunctionInTable
 
@@ -36536,7 +36739,7 @@ CeruleanCity_Unknown1948c: ; 1948c (6:548c)
 	ld a, $11
 	jp Predef
 
-CeruleanCityScripts: ; 1949d (6:549d)
+CeruleanCityScriptPointers: ; 1949d (6:549d)
 	dw CeruleanCityScript0
 	dw CeruleanCityScript1
 	dw CeruleanCityScript2
@@ -36635,7 +36838,7 @@ CeruleanCityCoords2: ; 19554 (6:5554)
 	db $ff
 
 CeruleanCityMovement1: ; 19559 (6:5559)
-	db 0,0,0,$ff
+	db $00,$00,$00,$FF
 
 CeruleanCityFunction1955d: ; 1955d (6:555d)
 	ld a,1
@@ -36722,10 +36925,10 @@ CeruleanCityScript2: ; 195b1 (6:55b1)
 	ret
 
 CeruleanCityMovement3: ; 19600 (6:5600)
-	db $80, $00, $00, $00, $00, $00, $00, $ff
+	db $80,$00,$00,$00,$00,$00,$00,$FF
 
 CeruleanCityMovement4: ; 19608 (6:5608)
-	db $c0, $00, $00, $00, $00, $00, $00, $ff
+	db $c0,$00,$00,$00,$00,$00,$00,$FF
 
 CeruleanCityScript3: ; 19610 (6:5610)
 	ld a, [$d730]
@@ -36742,8 +36945,24 @@ CeruleanCityScript3: ; 19610 (6:5610)
 	ld [W_CERULEANCITYCURSCRIPT], a
 	ret
 
-CeruleanCityTexts: ; 1962d (6:562d)
-	dw CeruleanCityText1, CeruleanCityText2, CeruleanCityText3, CeruleanCityText4, CeruleanCityText5, CeruleanCityText6, CeruleanCityText7, CeruleanCityText8, CeruleanCityText9, CeruleanCityText10, CeruleanCityText11, CeruleanCityText12, CeruleanCityText13, MartSignText, PokeCenterSignText, CeruleanCityText16, CeruleanCityText17
+CeruleanCityTextPointers: ; 1962d (6:562d)
+	dw CeruleanCityText1
+	dw CeruleanCityText2
+	dw CeruleanCityText3
+	dw CeruleanCityText4
+	dw CeruleanCityText5
+	dw CeruleanCityText6
+	dw CeruleanCityText7
+	dw CeruleanCityText8
+	dw CeruleanCityText9
+	dw CeruleanCityText10
+	dw CeruleanCityText11
+	dw CeruleanCityText12
+	dw CeruleanCityText13
+	dw MartSignText
+	dw PokeCenterSignText
+	dw CeruleanCityText16
+	dw CeruleanCityText17
 
 CeruleanCityText1: ; 1964f (6:564f)
 	db $08 ; asm
@@ -36964,12 +37183,12 @@ VermilionCityScript: ; 197a1 (6:57a1)
 	pop hl
 	bit 5, [hl]
 	res 5, [hl]
-	call nz, VermilionCityScript_Unknown197c0
-	ld hl, VermilionCityScripts
+	call nz, VermilionCityScript_197c0
+	ld hl, VermilionCityScriptPointers
 	ld a, [W_VERMILIONCITYCURSCRIPT]
 	jp CallFunctionInTable
 
-VermilionCityScript_Unknown197c0: ; 197c0 (6:57c0)
+VermilionCityScript_197c0: ; 197c0 (6:57c0)
 	call GenRandom
 	ld a, [$ff00+$d4]
 	and $e
@@ -36987,7 +37206,7 @@ Function197cb: ; 197cb (6:57cb)
 	ld [W_VERMILIONCITYCURSCRIPT], a
 	ret
 
-VermilionCityScripts: ; 197dc (6:57dc)
+VermilionCityScriptPointers: ; 197dc (6:57dc)
 	dw VermilionCityScript0
 	dw VermilionCityScript1
 	dw VermilionCityScript2
@@ -36998,7 +37217,7 @@ VermilionCityScript0: ; 197e6 (6:57e6)
 	ld a, [$c109]
 	and a
 	ret nz
-	ld hl, Coords19823
+	ld hl, CoordsData_19823
 	call ArePlayerCoordsInArray
 	ret nc
 	xor a
@@ -37026,12 +37245,12 @@ VermilionCityScript0: ; 197e6 (6:57e6)
 	ld [W_VERMILIONCITYCURSCRIPT], a
 	ret
 
-Coords19823: ; 19823 (6:5823)
+CoordsData_19823: ; 19823 (6:5823)
 	db $1e,$12
 	db $ff
 
 VermilionCityScript4: ; 19826 (6:5826)
-	ld hl, Coords19823
+	ld hl, CoordsData_19823
 	call ArePlayerCoordsInArray
 	ret c
 	ld a, $0
@@ -37072,8 +37291,20 @@ VermilionCityScript1: ; 1985f (6:585f)
 	ld [W_VERMILIONCITYCURSCRIPT], a
 	ret
 
-VermilionCityTexts: ; 1986f (6:586f)
-	dw VermilionCityText1, VermilionCityText2, VermilionCityText3, VermilionCityText4, VermilionCityText5, VermilionCityText6, VermilionCityText7, VermilionCityText8, MartSignText, PokeCenterSignText, VermilionCityText11, VermilionCityText12, VermilionCityText13
+VermilionCityTextPointers: ; 1986f (6:586f)
+	dw VermilionCityText1
+	dw VermilionCityText2
+	dw VermilionCityText3
+	dw VermilionCityText4
+	dw VermilionCityText5
+	dw VermilionCityText6
+	dw VermilionCityText7
+	dw VermilionCityText8
+	dw MartSignText
+	dw PokeCenterSignText
+	dw VermilionCityText11
+	dw VermilionCityText12
+	dw VermilionCityText13
 
 VermilionCityText1: ; 19889 (6:5889)
 	TX_FAR _VermilionCityText1
@@ -37215,8 +37446,25 @@ CeladonCityScript: ; 19956 (6:5956)
 	res 7, [hl]
 	ret
 
-CeladonCityTexts: ; 19966 (6:5966)
-	dw CeladonCityText1, CeladonCityText2, CeladonCityText3, CeladonCityText4, CeladonCityText5, CeladonCityText6, CeladonCityText7, CeladonCityText8, CeladonCityText9, CeladonCityText10, CeladonCityText11, PokeCenterSignText, CeladonCityText13, CeladonCityText14, CeladonCityText15, CeladonCityText16, CeladonCityText17, CeladonCityText18
+CeladonCityTextPointers: ; 19966 (6:5966)
+	dw CeladonCityText1
+	dw CeladonCityText2
+	dw CeladonCityText3
+	dw CeladonCityText4
+	dw CeladonCityText5
+	dw CeladonCityText6
+	dw CeladonCityText7
+	dw CeladonCityText8
+	dw CeladonCityText9
+	dw CeladonCityText10
+	dw CeladonCityText11
+	dw PokeCenterSignText
+	dw CeladonCityText13
+	dw CeladonCityText14
+	dw CeladonCityText15
+	dw CeladonCityText16
+	dw CeladonCityText17
+	dw CeladonCityText18
 
 CeladonCityText1: ; 1998a (6:598a)
 	TX_FAR _CeladonCityText1
@@ -37329,8 +37577,31 @@ CeladonCityText18: ; 19a26 (6:5a26)
 FuchsiaCityScript: ; 19a2b (6:5a2b)
 	jp EnableAutoTextBoxDrawing
 
-FuchsiaCityTexts: ; 19a2e (6:5a2e)
-	dw FuchsiaCityText1, FuchsiaCityText2, FuchsiaCityText3, FuchsiaCityText4, FuchsiaCityText5, FuchsiaCityText6, FuchsiaCityText7, FuchsiaCityText8, FuchsiaCityText9, FuchsiaCityText10, FuchsiaCityText11, FuchsiaCityText12, FuchsiaCityText13, MartSignText, PokeCenterSignText, FuchsiaCityText16, FuchsiaCityText17, FuchsiaCityText18, FuchsiaCityText19, FuchsiaCityText20, FuchsiaCityText21, FuchsiaCityText22, FuchsiaCityText23, FuchsiaCityText24
+FuchsiaCityTextPointers: ; 19a2e (6:5a2e)
+	dw FuchsiaCityText1
+	dw FuchsiaCityText2
+	dw FuchsiaCityText3
+	dw FuchsiaCityText4
+	dw FuchsiaCityText5
+	dw FuchsiaCityText6
+	dw FuchsiaCityText7
+	dw FuchsiaCityText8
+	dw FuchsiaCityText9
+	dw FuchsiaCityText10
+	dw FuchsiaCityText11
+	dw FuchsiaCityText12
+	dw FuchsiaCityText13
+	dw MartSignText
+	dw PokeCenterSignText
+	dw FuchsiaCityText16
+	dw FuchsiaCityText17
+	dw FuchsiaCityText18
+	dw FuchsiaCityText19
+	dw FuchsiaCityText20
+	dw FuchsiaCityText21
+	dw FuchsiaCityText22
+	dw FuchsiaCityText23
+	dw FuchsiaCityText24
 
 FuchsiaCityText1: ; 19a5e (6:5a5e)
 	TX_FAR _FuchsiaCityText1
@@ -37477,7 +37748,7 @@ UnnamedText_19b2a: ; 19b2a (6:5b2a)
 BluesHouse_h: ; 0x19b2f id=39
 	db $08 ; tileset
 	db BLUES_HOUSE_HEIGHT, BLUES_HOUSE_WIDTH ; dimensions
-	dw BluesHouseBlocks, BluesHouseTexts, BluesHouseScript
+	dw BluesHouseBlocks, BluesHouseTextPointers, BluesHouseScript
 	db 0
 	dw BluesHouseObject
 
@@ -37488,9 +37759,10 @@ BluesHouseScript: ; 19b3b (6:5b3b)
 	jp CallFunctionInTable
 
 BluesHouseScriptPointers: ; 19b47 (6:5b47)
-	dw BluesHouseScript1,BluesHouseScript2
+	dw BluesHouseScript0
+	dw BluesHouseScript1
 
-BluesHouseScript1: ; 19b4b (6:5b4b)
+BluesHouseScript0: ; 19b4b (6:5b4b)
 	ld hl,$D74A
 	set 1,[hl]
 
@@ -37499,11 +37771,13 @@ BluesHouseScript1: ; 19b4b (6:5b4b)
 	ld [W_BLUESHOUSECURSCRIPT],a
 	ret
 
-BluesHouseScript2: ; 19b56 (6:5b56)
+BluesHouseScript1: ; 19b56 (6:5b56)
 	ret
 
-BluesHouseTexts: ; 19b57 (6:5b57)
-	dw BluesHouseText1,BluesHouseText2,BluesHouseText3
+BluesHouseTextPointers: ; 19b57 (6:5b57)
+	dw BluesHouseText1
+	dw BluesHouseText2
+	dw BluesHouseText3
 
 BluesHouseText1: ; 19b5d (6:5b5d)
 	db 8
@@ -37596,7 +37870,7 @@ BluesHouseBlocks: ; 19bf6 (6:5bf6)
 VermilionHouse3_h: ; 0x19c06 to 0x19c12 (12 bytes) (bank=6) (id=196)
 	db $08 ; tileset
 	db VERMILION_HOUSE_3_HEIGHT, VERMILION_HOUSE_3_WIDTH ; dimensions (y, x)
-	dw VermilionHouse3Blocks, VermilionHouse3Texts, VermilionHouse3Script ; blocks, texts, scripts
+	dw VermilionHouse3Blocks, VermilionHouse3TextPointers, VermilionHouse3Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionHouse3Object ; objects
@@ -37604,7 +37878,7 @@ VermilionHouse3_h: ; 0x19c06 to 0x19c12 (12 bytes) (bank=6) (id=196)
 VermilionHouse3Script: ; 19c12 (6:5c12)
 	jp EnableAutoTextBoxDrawing
 
-VermilionHouse3Texts: ; 19c15 (6:5c15)
+VermilionHouse3TextPointers: ; 19c15 (6:5c15)
 	dw VermilionHouse3Text1
 
 VermilionHouse3Text1: ; 19c17 (6:5c17)
@@ -37637,7 +37911,7 @@ VermilionHouse3Blocks: ; 19c3f (6:5c3f)
 IndigoPlateauLobby_h: ; 0x19c4f to 0x19c5b (12 bytes) (bank=6) (id=174)
 	db $02 ; tileset
 	db INDIGO_PLATEAU_LOBBY_HEIGHT, INDIGO_PLATEAU_LOBBY_WIDTH ; dimensions (y, x)
-	dw IndigoPlateauLobbyBlocks, IndigoPlateauLobbyTexts, IndigoPlateauLobbyScript ; blocks, texts, scripts
+	dw IndigoPlateauLobbyBlocks, IndigoPlateauLobbyTextPointers, IndigoPlateauLobbyScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw IndigoPlateauLobbyObject ; objects
@@ -37663,8 +37937,12 @@ IndigoPlateauLobbyScript: ; 19c5b (6:5c5b)
 	ld [hl], a
 	ret
 
-IndigoPlateauLobbyTexts: ; 19c7f (6:5c7f)
-	dw IndigoPlateauLobbyText1, IndigoPlateauLobbyText2, IndigoPlateauLobbyText3, IndigoPlateauLobbyText4, IndigoPlateauLobbyText5
+IndigoPlateauLobbyTextPointers: ; 19c7f (6:5c7f)
+	dw IndigoPlateauLobbyText1
+	dw IndigoPlateauLobbyText2
+	dw IndigoPlateauLobbyText3
+	dw IndigoPlateauLobbyText4
+	dw IndigoPlateauLobbyText5
 
 IndigoPlateauLobbyText1: ; 19c89 (6:5c89)
 	db $ff
@@ -37708,7 +37986,7 @@ IndigoPlateauLobbyBlocks: ; 19ccf (6:5ccf)
 SilphCo4_h: ; 0x19cff to 0x19d0b (12 bytes) (bank=6) (id=209)
 	db $16 ; tileset
 	db SILPH_CO_4F_HEIGHT, SILPH_CO_4F_WIDTH ; dimensions (y, x)
-	dw SilphCo4Blocks, SilphCo4Texts, SilphCo4Script ; blocks, texts, scripts
+	dw SilphCo4Blocks, SilphCo4TextPointers, SilphCo4Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo4Object ; objects
@@ -37807,8 +38085,14 @@ SilphCo4ScriptPointers: ; 19d9a (6:5d9a)
 	dw Func_324c
 	dw EndTrainerBattle
 
-SilphCo4Texts: ; 19da0 (6:5da0)
-	dw SilphCo4Text1, SilphCo4Text2, SilphCo4Text3, SilphCo4Text4, Predef5CText, Predef5CText, Predef5CText
+SilphCo4TextPointers: ; 19da0 (6:5da0)
+	dw SilphCo4Text1
+	dw SilphCo4Text2
+	dw SilphCo4Text3
+	dw SilphCo4Text4
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 SilphCo4TrainerHeaders: ; 19dae (6:5dae)
 SilphCo4TrainerHeader0: ; 19dae (6:5dae)
@@ -37838,7 +38122,7 @@ SilphCo4TrainerHeader3: ; 19dc6 (6:5dc6)
 	dw SilphCo4EndBattleText4 ; 0x5e2b TextEndBattle
 	dw SilphCo4EndBattleText4 ; 0x5e2b TextEndBattle
 
-db $ff
+	db $ff
 
 SilphCo4Text1: ; 19dd3 (6:5dd3)
 	db $08 ; asm
@@ -37947,7 +38231,7 @@ SilphCo4Blocks: ; 19ea4 (6:5ea4)
 SilphCo5_h: ; 0x19f2b to 0x19f37 (12 bytes) (bank=6) (id=210)
 	db $16 ; tileset
 	db SILPH_CO_5F_HEIGHT, SILPH_CO_5F_WIDTH ; dimensions (y, x)
-	dw SilphCo5Blocks, SilphCo5Texts, SilphCo5Script ; blocks, texts, scripts
+	dw SilphCo5Blocks, SilphCo5TextPointers, SilphCo5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo5Object ; objects
@@ -38025,8 +38309,18 @@ SilphCo5ScriptPointers: ; 19fb6 (6:5fb6)
 	dw Func_324c
 	dw EndTrainerBattle
 
-SilphCo5Texts: ; 19fbc (6:5fbc)
-	dw SilphCo5Text1, SilphCo5Text2, SilphCo5Text3, SilphCo5Text4, SilphCo5Text5, Predef5CText, Predef5CText, Predef5CText, SilphCo5Text9, SilphCo5Text10, SilphCo5Text11
+SilphCo5TextPointers: ; 19fbc (6:5fbc)
+	dw SilphCo5Text1
+	dw SilphCo5Text2
+	dw SilphCo5Text3
+	dw SilphCo5Text4
+	dw SilphCo5Text5
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw SilphCo5Text9
+	dw SilphCo5Text10
+	dw SilphCo5Text11
 
 SilphCo5TrainerHeaders: ; 19fd2 (6:5fd2)
 Silphco5TrainerHeader0: ; 19fd2 (6:5fd2)
@@ -38065,7 +38359,7 @@ Silphco5TrainerHeader4: ; 19ff6 (6:5ff6)
 	dw SilphCo5EndBattleText5 ; 0x6074 TextEndBattle
 	dw SilphCo5EndBattleText5 ; 0x6074 TextEndBattle
 
-db $ff
+	db $ff
 
 SilphCo5Text1: ; 1a003 (6:6003)
 	db $08 ; asm
@@ -38208,7 +38502,7 @@ SilphCo5Blocks: ; 1a116 (6:6116)
 SilphCo6_h: ; 0x1a19d to 0x1a1a9 (12 bytes) (bank=6) (id=211)
 	db $16 ; tileset
 	db SILPH_CO_6F_HEIGHT, SILPH_CO_6F_WIDTH ; dimensions (y, x)
-	dw SilphCo6Blocks, SilphCo6Texts, SilphCo6Script ; blocks, texts, scripts
+	dw SilphCo6Blocks, SilphCo6TextPointers, SilphCo6Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo6Object ; objects
@@ -38257,8 +38551,17 @@ SilphCo6ScriptPointers: ; 1a1f0 (6:61f0)
 	dw Func_324c
 	dw EndTrainerBattle
 
-SilphCo6Texts: ; 1a1f6 (6:61f6)
-	dw SilphCo6Text1, SilphCo6Text2, SilphCo6Text3, SilphCo6Text4, SilphCo6Text5, SilphCo6Text6, SilphCo6Text7, SilphCo6Text8, Predef5CText, Predef5CText
+SilphCo6TextPointers: ; 1a1f6 (6:61f6)
+	dw SilphCo6Text1
+	dw SilphCo6Text2
+	dw SilphCo6Text3
+	dw SilphCo6Text4
+	dw SilphCo6Text5
+	dw SilphCo6Text6
+	dw SilphCo6Text7
+	dw SilphCo6Text8
+	dw Predef5CText
+	dw Predef5CText
 
 SilphCo6TrainerHeaders: ; 1a20a (6:620a)
 SilphCo6TrainerHeader0: ; 1a20a (6:620a)
@@ -38288,7 +38591,7 @@ SilphCo6TrainerHeader3: ; 1a222 (6:6222)
 	dw SilphCo6EndBattleText4 ; 0x62f1 TextEndBattle
 	dw SilphCo6EndBattleText4 ; 0x62f1 TextEndBattle
 
-db $ff
+	db $ff
 
 Unnamed_622f: ; 1a22f (6:622f)
 	ld a, [$d838]
@@ -38510,7 +38813,7 @@ Func_1a41d: ; 1a41d (6:641d)
 	ld [$ccd3], a
 	ret
 
-Unknown_1a442: ; 1a442 (6:6442)
+PointerTable_1a442: ; 1a442 (6:6442)
 	dw Func_1a44c
 	dw Func_1a485
 	dw Func_1a4a1
@@ -38589,21 +38892,21 @@ Func_1a4a6: ; 1a4a6 (6:64a6)
 	ret
 
 RLEList_1a4dc: ; 1a4dc (6:64dc)
-db $00, $05
-db $80, $01
-db $00, $05
-db $C0, $03
-db $40, $01
-db $E0, $01
-db $FF
+	db $00, $05
+	db $80, $01
+	db $00, $05
+	db $C0, $03
+	db $40, $01
+	db $E0, $01
+	db $FF
 
 RLEList_1a4e9: ; 1a4e9 (6:64e9)
-db $40, $02
-db $10, $03
-db $80, $05
-db $20, $01
-db $80, $06
-db $FF
+	db $40, $02
+	db $10, $03
+	db $80, $05
+	db $20, $01
+	db $80, $06
+	db $FF
 
 Func_1a4f4: ; 1a4f4 (6:64f4)
 	ld a, [$cd38]
@@ -38619,7 +38922,7 @@ Func_1a4f4: ; 1a4f4 (6:64f4)
 	res 7, [hl]
 	jp Func_314e
 
-Unknown_1a510: ; 1a510 (6:6510)
+PointerTable_1a510: ; 1a510 (6:6510)
 	dw Func_1a514
 	dw Func_1a56b
 
@@ -38653,18 +38956,18 @@ Func_1a514: ; 1a514 (6:6514)
 	ret
 
 RLEList_1a559: ; 1a559 (6:6559)
-db $00, $01
-db $40, $03
-db $20, $0D
-db $40, $06
-db $FF
+	db $00, $01
+	db $40, $03
+	db $20, $0D
+	db $40, $06
+	db $FF
 
 RLEList_1a562: ; 1a562 (6:6562)
-db $40, $06
-db $80, $0D
-db $40, $03
-db $80, $01
-db $FF
+	db $40, $06
+	db $80, $0D
+	db $40, $03
+	db $80, $01
+	db $FF
 
 Func_1a56b: ; 1a56b (6:656b)
 	ld a, [$cd38]
@@ -38676,7 +38979,7 @@ Func_1a56b: ; 1a56b (6:656b)
 	res 7, [hl]
 	jp Func_314e
 
-Unknown_1a57d: ; 1a57d (6:657d)
+PointerTable_1a57d: ; 1a57d (6:657d)
 	dw Func_1a581
 	dw Func_1a56b
 
@@ -38713,22 +39016,22 @@ Func_1a581: ; 1a581 (6:6581)
 	ret
 
 RLEList_1a5cd: ; 1a5cd (6:65cd)
-db $00, $01
-db $10, $02
-db $80, $05
-db $20, $0B
-db $40, $05
-db $20, $0F
-db $FF
+	db $00, $01
+	db $10, $02
+	db $80, $05
+	db $20, $0B
+	db $40, $05
+	db $20, $0F
+	db $FF
 
 RLEList_1a5da: ; 1a5da (6:65da)
-db $00, $02
-db $80, $0F
-db $40, $05
-db $80, $0B
-db $00, $05
-db $C0, $03
-db $FF
+	db $00, $02
+	db $80, $0F
+	db $40, $05
+	db $80, $0B
+	db $00, $05
+	db $C0, $03
+	db $FF
 
 Func_1a5e7: ; 1a5e7 (6:65e7)
 	ld a, [W_CURMAP] ; $d35e
@@ -38850,22 +39153,23 @@ Func_1a6f0: ; 1a6f0 (6:66f0)
 	call CopyVideoDataDouble
 	ld a, $9
 	ld bc, $5448
-	ld de, Unknown_1a710 ; $6710
+	ld de, LedgeHoppingShadowOAM ; $6710
 	call WriteOAMBlock
 	ret
 
 LedgeHoppingShadow: ; 1a708 (6:6708)
 	INCBIN "gfx/ledge_hopping_shadow.1bpp"
 
-Unknown_1a710: ; 1a710 (6:6710)
-INCBIN "baserom.gbc",$1a710,$1a718 - $1a710
+LedgeHoppingShadowOAM: ; 1a710 (6:6710)
+	db $FF,$10,$FF,$20
+	db $FF,$40,$FF,$60
 
 SECTION "bank7",ROMX,BANK[$7]
 
 CinnabarIsland_h: ; 0x1c000 to 0x1c022 (34 bytes) (bank=7) (id=8)
 	db $00 ; tileset
 	db CINNABAR_ISLAND_HEIGHT, CINNABAR_ISLAND_WIDTH ; dimensions (y, x)
-	dw CinnabarIslandBlocks, CinnabarIslandTexts, CinnabarIslandScript ; blocks, texts, scripts
+	dw CinnabarIslandBlocks, CinnabarIslandTextPointers, CinnabarIslandScript ; blocks, texts, scripts
 	db NORTH | EAST ; connections
 
 	; connections data
@@ -38922,7 +39226,7 @@ CinnabarIslandBlocks: ; 1c069 (7:4069)
 Route1_h: ; 0x1c0c3 to 0x1c0e5 (34 bytes) (bank=7) (id=12)
 	db $00 ; tileset
 	db ROUTE_1_HEIGHT, ROUTE_1_WIDTH ; dimensions (y, x)
-	dw Route1Blocks, Route1Texts, Route1Script ; blocks, texts, scripts
+	dw Route1Blocks, Route1TextPointers, Route1Script ; blocks, texts, scripts
 	db NORTH | SOUTH ; connections
 
 	; connections data
@@ -39269,12 +39573,13 @@ CinnabarIslandScript: ; 1ca19 (7:4a19)
 	res 0, [hl]
 	ld hl, $d7a3
 	res 1, [hl]
-	ld hl, CinnabarIslandScripts
+	ld hl, CinnabarIslandScriptPointers
 	ld a, [W_CINNABARISLANDCURSCRIPT]
 	jp CallFunctionInTable
 
-CinnabarIslandScripts: ; 1ca34 (7:4a34)
-	dw CinnabarIslandScript0, CinnabarIslandScript1
+CinnabarIslandScriptPointers: ; 1ca34 (7:4a34)
+	dw CinnabarIslandScript0
+	dw CinnabarIslandScript1
 
 CinnabarIslandScript0: ; 1ca38 (7:4a38)
 	ld b, $2b
@@ -39314,8 +39619,15 @@ CinnabarIslandScript1: ; 1ca73 (7:4a73)
 	ld [W_CINNABARISLANDCURSCRIPT], a
 	ret
 
-CinnabarIslandTexts: ; 1ca81 (7:4a81)
-	dw CinnabarIslandText1, CinnabarIslandText2, CinnabarIslandText3, MartSignText, PokeCenterSignText, CinnabarIslandText6, CinnabarIslandText7, CinnabarIslandText8
+CinnabarIslandTextPointers: ; 1ca81 (7:4a81)
+	dw CinnabarIslandText1
+	dw CinnabarIslandText2
+	dw CinnabarIslandText3
+	dw MartSignText
+	dw PokeCenterSignText
+	dw CinnabarIslandText6
+	dw CinnabarIslandText7
+	dw CinnabarIslandText8
 
 CinnabarIslandText8: ; 1ca91 (7:4a91)
 	TX_FAR _CinnabarIslandText8
@@ -39344,8 +39656,10 @@ CinnabarIslandText7: ; 1caaa (7:4aaa)
 Route1Script: ; 1caaf (7:4aaf)
 	jp EnableAutoTextBoxDrawing
 
-Route1Texts: ; 1cab2 (7:4ab2)
-	dw Route1Text1, Route1Text2, Route1Text3
+Route1TextPointers: ; 1cab2 (7:4ab2)
+	dw Route1Text1
+	dw Route1Text2
+	dw Route1Text3
 
 Route1Text1: ; 1cab8 (7:4ab8)
 	db $08 ; asm
@@ -39396,7 +39710,7 @@ Route1Text3: ; 1cafd (7:4afd)
 OaksLab_h: ; 0x1cb02 to 0x1cb0e (12 bytes) (bank=7) (id=40)
 	db $05 ; tileset
 	db OAKS_LAB_HEIGHT, OAKS_LAB_WIDTH ; dimensions (y, x)
-	dw OaksLabBlocks, OaksLabTexts, OaksLabScript ; blocks, texts, scripts
+	dw OaksLabBlocks, OaksLabTextPointers, OaksLabScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw OaksLabObject ; objects
@@ -39409,12 +39723,30 @@ OaksLabScript: ; 1cb0e (7:4b0e)
 	ld [$cf0c], a
 	xor a
 	ld [$cc3c], a
-	ld hl, OaksLabScripts
+	ld hl, OaksLabScriptPointers
 	ld a, [W_OAKSLABCURSCRIPT]
 	jp CallFunctionInTable
 
-OaksLabScripts: ; 1cb28 (7:4b28)
-	dw OaksLabScript0, OaksLabScript1, OaksLabScript2, OaksLabScript3, OaksLabScript4, OaksLabScript5, OaksLabScript6, OaksLabScript7, OaksLabScript8, OaksLabScript9, OaksLabScript10, OaksLabScript11, OaksLabScript12, OaksLabScript13, OaksLabScript14, OaksLabScript15, OaksLabScript16, OaksLabScript17, OaksLabScript18
+OaksLabScriptPointers: ; 1cb28 (7:4b28)
+	dw OaksLabScript0
+	dw OaksLabScript1
+	dw OaksLabScript2
+	dw OaksLabScript3
+	dw OaksLabScript4
+	dw OaksLabScript5
+	dw OaksLabScript6
+	dw OaksLabScript7
+	dw OaksLabScript8
+	dw OaksLabScript9
+	dw OaksLabScript10
+	dw OaksLabScript11
+	dw OaksLabScript12
+	dw OaksLabScript13
+	dw OaksLabScript14
+	dw OaksLabScript15
+	dw OaksLabScript16
+	dw OaksLabScript17
+	dw OaksLabScript18
 
 OaksLabScript0: ; 1cb4e (7:4b4e)
 	ld a, [$d74b]
